Retrieves Readings
curl --request GET \
--url https://api.traxes.io/connect/v1/entities/{entityId}/readings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/entities/{entityId}/readings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/entities/{entityId}/readings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"activeUserReference": "<string>",
"instantaneousCurrent": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"instantaneousVoltage": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"isCharging": true,
"isPluggedIn": true,
"location": {
"address": "<string>",
"latitude": 123,
"longitude": 123
},
"locationMatches": [
{
"accuracy": 123,
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
}
],
"negativeActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"negativeActiveEnergyPhases": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"negativeActiveInstantaneousPower": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"negativeGasVolume": {
"unit": "<string>",
"value": 123
},
"odometer": {
"unit": "<string>",
"value": 123
},
"positiveActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"positiveActiveEnergyPhases": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"positiveActiveInstantaneousPower": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"positiveGasVolume": {
"unit": "<string>",
"value": 123
},
"positiveReactiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"range": {
"unit": "<string>",
"value": 123
},
"stateOfCharge": {
"unit": "<string>",
"value": 123
}
},
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measured": "2023-11-07T05:31:56Z",
"processed": "2023-11-07T05:31:56Z",
"received": "2023-11-07T05:31:56Z"
}
],
"links": {
"next": "<string>"
},
"meta": {
"continuationToken": "<string>",
"pageSize": 123
}
}{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Readings
List all Readings for an Entity
Returns a page of normalized Readings for a specific Entity, optionally with additional filters
GET
/
v1
/
entities
/
{entityId}
/
readings
Retrieves Readings
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
Query Parameters
The start of the time frame
The end of the time frame
When possible the Readings will be resampled to the provided resolution
The number of Readings per page
The token used to retrieve the next page
Was this page helpful?
⌘I